org.apache.ignite.internal.visor.node

## Class VisorTransactionConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorTransactionConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorTransactionConfiguration
    extends VisorDataTransferObject

Data transfer object for transaction configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorTransactionConfiguration()` Default constructor.
`VisorTransactionConfiguration(TransactionConfiguration cfg)` Create data transfer object for transaction configuration.

### Method Summary

Methods
`TransactionConcurrency` `getDefaultTxConcurrency()`
`TransactionIsolation` `getDefaultTxIsolation()`
`long` `getDefaultTxTimeout()`
`int` `getPessimisticTxLogLinger()`
`int` `getPessimisticTxLogSize()`
`String` `getTxManagerFactory()`
`boolean` `isUseJtaSync()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorTransactionConfiguration

    public VisorTransactionConfiguration()

Default constructor.

#### VisorTransactionConfiguration

    public VisorTransactionConfiguration(TransactionConfiguration cfg)

Create data transfer object for transaction configuration.

Parameters:
  `cfg` - Transaction configuration.

### Method Detail

#### getDefaultTxConcurrency

    public TransactionConcurrency getDefaultTxConcurrency()

Returns:
  Default cache transaction concurrency.

#### getDefaultTxIsolation

    public TransactionIsolation getDefaultTxIsolation()

Returns:
  Default cache transaction isolation.

#### getDefaultTxTimeout

    public long getDefaultTxTimeout()

Returns:
  Default transaction timeout.

#### getPessimisticTxLogLinger

    public int getPessimisticTxLogLinger()

Returns:
  Pessimistic log cleanup delay in milliseconds.

#### getPessimisticTxLogSize

    public int getPessimisticTxLogSize()

Returns:
  Pessimistic transaction log size.

#### getTxManagerFactory

    public String getTxManagerFactory()

Returns:
  Transaction manager factory.

#### isUseJtaSync

    public boolean isUseJtaSync()

Returns:
  Whether to use JTA `javax.transaction.Synchronization` instead of `javax.transaction.xa.XAResource`.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017